cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v1/downstream-entity-associations/{downstreamEntityAssociationId}/policy-compliance-statusesconst options = {method: 'GET'};
fetch('https://public.api.live.turrisfi.com/v1/downstream-entity-associations/{downstreamEntityAssociationId}/policy-compliance-statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v1/downstream-entity-associations/{downstreamEntityAssociationId}/policy-compliance-statuses"
response = requests.get(url)
print(response.text){
"data": {
"eAndO": {
"_id": "<string>",
"primaryInsured": "<string>",
"otherInsured": [
"<string>"
],
"carrierName": "<string>",
"effectiveDate": "2023-11-07T05:31:56Z",
"expiryDate": "2023-11-07T05:31:56Z",
"aggregateCoverageInUSD": 123,
"coveragePerClaimInUSD": 123,
"dataExtractionStatus": "<string>",
"policyNumber": "<string>",
"address": {
"country": "USA",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"receivedDate": "2023-11-07T05:31:56Z",
"collectionStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"cyber": {
"_id": "<string>",
"primaryInsured": "<string>",
"otherInsured": [
"<string>"
],
"carrierName": "<string>",
"effectiveDate": "2023-11-07T05:31:56Z",
"expiryDate": "2023-11-07T05:31:56Z",
"aggregateCoverageInUSD": 123,
"coveragePerClaimInUSD": 123,
"dataExtractionStatus": "<string>",
"policyNumber": "<string>",
"address": {
"country": "USA",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"receivedDate": "2023-11-07T05:31:56Z",
"collectionStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"downstreamEntityId": "<string>",
"downstreamEntityName": "<string>",
"downstreamEntityNpn": "<string>"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}E&O/Cyber Compliance
Get E&O/Cyber Compliance
Retrieve E&O and Cyber policy compliance statuses for a downstream entity
GET
/
v1
/
downstream-entity-associations
/
{downstreamEntityAssociationId}
/
policy-compliance-statuses
cURL
curl --request GET \
--url https://public.api.live.turrisfi.com/v1/downstream-entity-associations/{downstreamEntityAssociationId}/policy-compliance-statusesconst options = {method: 'GET'};
fetch('https://public.api.live.turrisfi.com/v1/downstream-entity-associations/{downstreamEntityAssociationId}/policy-compliance-statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://public.api.live.turrisfi.com/v1/downstream-entity-associations/{downstreamEntityAssociationId}/policy-compliance-statuses"
response = requests.get(url)
print(response.text){
"data": {
"eAndO": {
"_id": "<string>",
"primaryInsured": "<string>",
"otherInsured": [
"<string>"
],
"carrierName": "<string>",
"effectiveDate": "2023-11-07T05:31:56Z",
"expiryDate": "2023-11-07T05:31:56Z",
"aggregateCoverageInUSD": 123,
"coveragePerClaimInUSD": 123,
"dataExtractionStatus": "<string>",
"policyNumber": "<string>",
"address": {
"country": "USA",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"receivedDate": "2023-11-07T05:31:56Z",
"collectionStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"cyber": {
"_id": "<string>",
"primaryInsured": "<string>",
"otherInsured": [
"<string>"
],
"carrierName": "<string>",
"effectiveDate": "2023-11-07T05:31:56Z",
"expiryDate": "2023-11-07T05:31:56Z",
"aggregateCoverageInUSD": 123,
"coveragePerClaimInUSD": 123,
"dataExtractionStatus": "<string>",
"policyNumber": "<string>",
"address": {
"country": "USA",
"line1": "<string>",
"line2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>"
},
"receivedDate": "2023-11-07T05:31:56Z",
"collectionStatus": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"downstreamEntityId": "<string>",
"downstreamEntityName": "<string>",
"downstreamEntityNpn": "<string>"
},
"requestId": "dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8",
"timestamp": "2025-11-12T20:49:03.293Z"
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}{
"statusCode": 123,
"requestId": "<string>",
"errorType": "validation_error",
"errorMessage": [
"<string>"
],
"timestamp": "<string>",
"details": {}
}Returns the E&O (Errors & Omissions) and Cyber policy compliance statuses for a specific downstream entity association.
Path Parameters
The unique identifier for the downstream entity association
Example:
"684fdb88e8956de1febe6091"
Was this page helpful?